Panduan Pengguna Tech2Win

Selamat Datang di Panduan Pengguna Tech2Win.

Copyright (C) 2010..2016 SPO Engineering General Motors Semua Hak Dilindungi Undang-undang.

  • Pendahuluan:
  • Lisensi:
  • Penginstalan:Deskripsi prosedur penginstalan Tech2Win.
    • Langkah-langkah Penginstalan
    • Antarmuka Komunikasi Kendaraan
  • Langkah-langkah Pertama
    • Memilih Salah Satu Konfigurasi
      • Keyboard
      • Penanganan Windows
    • Konfigurasi Baru
    • Mengubah Konfigurasi
      • Bahasa
      • Jalur
      • Tampilan
      • Menyimpan Konfigurasi
    • Dapatkan lisensi Tech2Win yang valid
  • Bekerja dengan Tech2Win: Detail untuk pekerjaan sehari-hari
    • Menu
    • Mengunduh Gambar PCMCIA
    • Keamanan
    • Lihat Laporan
    • Penanganan gambar PCMCIA
    • Bilah Status
  • Topik Tingkat Lanjut: Informasi tidak diperlukan untuk menggunakan Tech2Win secara normal. Sering kali hanya menarik bagi orang yang bertugas dalam bidang administrasi.
    • Penginstalan Ulang
    • Penghapusan Instalasi
    • Format File Konfigurasi
    • File Log
    • Pesan Kesalahan dan Kode Kesalahan
    • Kartu ATA
    • Entri Registri
    • File
    • Manajemen konfigurasi
  • TJ


Pendahuluan

Tech2Win adalah aplikasi Windows yang mirip dengan fungsi Tech2. Pada dasarnya, perangkat lunak Tech2 dieksekusi di PC. Untuk menjalankan program ini, PC harus memenuhi ketentuan teknis berikut ini:

  • Antarmuka komunikasi kendaraan harus terinstal dan tersambung ke PC. Daftar antarmuka yang bisa diterima mungkin bervariasi dari satu wilayah ke wilayah lain. Dalam sebagian besar kasus, Multiple Diagnostic Interface (MDI) GM bisa digunakan.
  • Aplikasi Tech2Win memerlukan 150MByte pada ruang hard disk saat penginstalan. Tambahan 32 MB diperlukan per kartu flash PCMCIA yang ingin Anda kelola.
  • Sebelum mengeksekusi aplikasi Tech2Win, Anda memerlukan minimal RAM fisik bebas 100 MB. PC Anda harus memiliki memori yang memadai untuk menampung aplikasi di dalam RAM selama keseluruhan waktu eksekusi.
  • PC Anda harus memiliki daya komputasi setara Pentium 1,2 GHz (single core). Kami sangat menyarankan agar Anda tidak menggunakan aplikasi lain secara paralel.
  • Keyboard tidak diperlukan. Tech2Winjuga dapat dioperasikan melalui layar sentuh. Untuk manajemen konfigurasi, kami sangat menyarankan Anda menggunakan keyboard karena perlu memasukkan nama file juga.
  • Layar grafik berwarna harus memiliki resolusi minimal 800 x 600 dengan kedalaman warna minimal 256. Tanpa keypad, resolusi 640 x 480 mungkin bisa diterima.

Jika menggunakan Tech2Win (laptop sebagai ganti Tech2), mohon pastikan daya laptop mencukupi. Normalnya, laptop Anda tidak akan didayai oleh aki, seperti halnya Tech2.

  • Penginstalan
  • Langkah-langkah Pertama


Lisensi

General Motors - Perjanjian Lisensi Tech2Win

Bacalah syarat dan ketentuan berikut ini secara cermat sebelum menggunakan program ini. Jika Anda tidak menerima atau memahami syarat atau ketentuan, silakan hubungi perwakilan Aftersales setempat. Hak untuk menggunakan perangkat lunak ini diberikan oleh General Motors hanya dengan ketentuan bahwa pengguna menyetujui lisensi ini dengan menerima syarat dan ketentuan saat penginstalan Tech2Win.
General Motors memberikan hak untuk menggunakan perangkat lunak Tech2Win dan informasi yang disertakan bersama dengan TIS2Web atau GlobalTIS atau TIS 2000 khusus untuk pengguna jaringan perbaikan resmi General Motors sebagaimana ditentukan dalam Perjanjian Tenaga Perbaikan Resmi yang berlaku secara lokal dengan General Motors National Sales Companies.
Lisensi Tech2Win efektif sepanjang Perjanjian Tenaga Perbaikan Resmi berlaku dan lisensi TIS2Web, GlobalTIS, dan TIS2000 diterapkan. Lisensi Tech2Win akan segera dihentikan bersama dengan lisensi TIS2Web dan GlobalTIS jika Perjanjian Tenaga Perbaikan Resmi dihentikan.

Tenaga perbaikan independen seperti ditentukan di Pasal 4 ayat 2 Block Exemption Regulation (BER) Uni Eropa 1400/2002 bisa membeli lisensi Tech2Win sebagai bagian dari langganan yang ditawarkan yang disediakan di GM Europe Info Tech Portal dari General Motors Eropa.

Lisensi Tech2Win tidak mengenal antarmuka komunikasi kendaraan atau perangkat keras PC.

Perangkat lunak Tech2Win tidak boleh didistribusikan, dijual, atau disediakan secara online untuk pihak ketiga di luar fasilitas perbaikan resmi (sebagaimana dijelaskan di lampiran yang relevan dengan Perjanjian Tenaga Perbaikan Resmi) tanpa persetujuan tertulis dari General Motors National Sales Companies yang bersangkutan. Ini berlaku untuk data saat ini dan non-saat ini (seperti DVD kedaluwarsa).

General Motors National Sales Companies berhak segera menutup akses dan memberi pemberitahuan penghentian Perjanjian Tenaga Perbaikan Resmi jika terjadi penggunaan yang tidak sah atau penyalahgunaan. Dalam hal ini, hak untuk menuntut penggantian saldo kredit yang tersisa dan/atau biaya dasar tahunan tidak akan berlaku.

Informasi yang diberikan ini berlaku dalam pelaksanaan pekerjaan servis dan perbaikan oleh para ahli untuk kendaraan General Motors yang belum dimodifikasi. Pelatihan teknisi otomotif yang menyeluruh dan pelatihan reguler lanjutan diperlukan sebagai bagian dari prasyarat pelaksanaan pekerjaan yang disebutkan di atas. Jika penggunaan alat-alat khusus ditunjukkan di informasi yang diberikan, alat khusus seperti itu wajib digunakan agar semua perbaikan bisa dilakukan secara ahli.

Informasi yang diterbitkan pada Tech2Win General Motors (teks dan gambar, musik, grafis, animasi, video, dll) dan susunannya pada Tech2Win dilindungi oleh hak cipta. Tindakan reproduksi, penyebarluasan, komunikasi dan/atau transmisi atau penggunaan lain tidak diizinkan kecuali dengan persetujuan tertulis dari General Motors.

  • Penginstalan: Langkah-langkah Penginstalan
  • Langkah-langkah Pertama


Installation

Penginstalan

Penginstalan Tech2Win mensyaratkan hak administratif lokal pada PC. Penginstalan tidak akan berhasil tanpa hak administratif. Dalam hal demikian, silakan hubungi administrator PC lokal untuk mendapatkan bantuan.

Untuk menggunakan Tech2Win dengan baik, Anda harus menyelesaikan dua langkah berikut ini:

  • Penginstalan Tech2Win.
  • Penginstalan Antarmuka Komunikasi Kendaraan.
  • Penginstalan: Langkah-langkah Penginstalan
  • Langkah-langkah Pertama


Langkah-langkah Penginstalan

Penginstalan hanya memerlukan waktu beberapa menit dan memerlukan input pengguna berikut:

  1. Perjanjian Lisensi
  2. Direktori Penginstalan

Bahasa

Secara default, UI Tech2Win akan ditampilkan dalam bahasa sistem operasi Anda. Bahasa berikut ini secara umum didukung. Jika bahasa Anda tidak didukung, penginstal akan dijalankan dalam bahasa Inggris sebagai bahasa penginstalan default.

  • bg_BG (BG)Bulgarian
  • cs_CZ (CS)Czech
  • da_DK (DA)Danish
  • de_DE (DE)German
  • en_GB (EN)Bahasa Inggris (British atau Amerika)*
  • el_GR (EL)Greek
  • es_ES (ES)Spanyol
  • fi_FI (FI)Finnish
  • fr_FR (FR)Perancis
  • hr_HR (HR)Croatian
  • hu_HU (HU)Hungarian
  • it_IT (IT)Italian
  • ja_JP (JA)Japanese
  • ko_KR (KO)Korean
  • nl_NL (NL)Dutch
  • no_NO (NO)Norwegian
  • pl_PL (PL)Polish
  • pt_BR (PB)Portugis (Brasil)
  • pt_PT (PT)Portugis (Portugal)
  • ro_RO (RO)Romanian
  • ru_RU (RU)Russian
  • sl_SI (SL)Slovenian
  • sv_SE (SV)Swedish
  • th_TH (TH)Thai
  • tr_TR (TR)Turkish
  • zh_CN (ZS)China (Sederhana)
  • zh_TW (ZH)China (Tradisional)

* Bahasa Tech2Win adalah Bahasa Inggris British. Namun, perangkat lunak Tech2 dan penginstal yang Anda gunakan mungkin berbahasa Inggris Amerika, tergantung pada sumber perangkat lunak.

Perjanjian Lisensi

Anda harus menyetujui Perjanjian Lisensi.

Direktori Penginstalan

Anda bisa memilih sembarang direktori sebagai lokasi penginstalan Tech2Win. Lokasi default direktori penginstalan adalah <direktori program Anda>\General Motors\Tech2Win atau, dalam hal penginstalan ulang, ke lokasi yang ditetapkan sebelumnya.

Sebagai bagian terakhir, konfirmasi penginstalan.

Driver Port Com Virtual

Driver port com virtual hanya akan diinstal satu kali di komputer Anda sampai versi driver dimutakhirkan (jarang terjadi) atau instalasi Tech2Win dihapus dari komputer Anda.
Jika driver telah diinstal, Anda akan melihat kotak DOS sebentar. Kotak itu akan menutup secara otomatis dan tidak perlu tindakan apa pun. File driver juga diletakkan di subfolder 'driver' di direktori instalasi Tech2Win Anda.
Anda dapat, tetapi tidak disarankan, menginstal atau menghapus instalasi driver port com virtual secara manual. Gunakan salah satu perintah berikut dari shell CMD:

  • buka 'vbsetup7' untuk menginstal driver
  • buka 'vbsetup7 /u' untuk menghapus instalasi driver
  • Langkah-langkah Pertama


Antarmuka Komunikasi Kendaraan

Perangkat komunikasi kendaraan Anda harus dipasang secara terpisah. Silakan lihat panduan penginstalan yang sesuai yang disertakan dengan Antarmuka Komunikasi Kendaraan.

  • Langkah-langkah Pertama: Antarmuka Komunikasi Kendaraan
  • Topik Tingkat Lanjut: File Konfigurasi
  • Penginstalan: Langkah-langkah Penginstalan
  • TJ: Bagaimana cara menggunakan lebih dari satu MDI?
  • TJ: Tech2Win tidak menemukan MDI saya


Langkah-langkah Pertama

Langkah-langkah pertama ini menampilkan cara menggunakan Tech2Win. Asumsinya adalah Anda sudah mengenal Tech2. Komunikasi kendaraan tidak diperlukan selama langkah-langkah pertama ini.

Untuk Quick Start, lakukan langkah berikut:

  1. Jalankan perangkat lunak Tech2Win menggunakan pintasan Quickstart dari desktop Anda.
  2. Dapatkan lisensi yang valid dengan mengunduh perangkat lunak Tech2 terbaru dari TIS2Web.

Untuk menggunakan konfigurasi yang dapat dipilih:

  1. Jalankan konfigurator menggunakan pintasan Tech2Win dari desktop Anda. Setelah penginstalan, konfigurasi default mestinya ada.
  2. Untuk membuat konfigurasi baru, lebih baik salin konfigurasi default.
  3. Ubah konfigurasi yang ada untuk memenuhi persyaratan khusus Anda.
  4. Dapatkan lisensi yang valid.

Jangan menjalankan Tech2Win dalam mode kompatibel. Sebuah peringatan akan muncul di file Log dalam kasus seperti ini. Tech2Win hanya menggunakan fungsi Windows yang ada sejak versi XP, dan tidak berfungsi pada versi Windows yang lebih awal.

  • Langkah-langkah Pertama: Konfigurasi Baru
  • Langkah-langkah Pertama: Mengubah Konfigurasi
  • Langkah-langkah Pertama: Antarmuka Komunikasi Kendaraan
  • Bekerja dengan Tech2Win: Menu
  • Bekerja dengan Tech2Win: Keamanan
  • Bekerja dengan Tech2Win: Bilah Status
  • Topik Tingkat Lanjut: File Konfigurasi


Memilih Salah Satu Konfigurasi

Saat pertama kali memulai aplikasi Tech2Win, layar berikut muncul. Anda memiliki opsi untuk memulai Tech2Win secara langsung dengan konfigurasi default. Konfigurasi default ini bekerja tanpa komunikasi kendaraan.

Start First Time

Kotak pesan informasi lisensi akan muncul, tetapi Anda dapat mengabaikannya untuk memulai konfigurasi default.

Saat menggunakan layar sentuh, memulai program keyboard PC mungkin akan berguna agar Anda bisa memasukkan huruf melalui aplikasi ini yang mirip dengan keyboard.


Keyboard

Tombol PC serta tombol, jika ada, dipetakan agar mirip dengan tombol Tech2 yang sudah dikenal. Beberapa tombol tambahan disediakan oleh Tech2Win yang tidak ditemukan di Tech2 asli. Keypad numerik pada PC mungkin tidak berfungsi dalam semua kondisi. Jika terdapat masalah, mohon periksa apakah tata letak keyboard standar di PC Anda telah berubah. Khususnya tombol SHIFT mungkin saja rusak dalam kasus ini.

Keyboard PC | Tombol | Fungsionalitas
Tombol fungsi F1 | t.a. | Bantuan Tech2Win
Tombol fungsi F5 .. F8 | Gunakan area tampilan Tech2Win yang dipenuhi oleh tombol lunak | Empat tombol lunak Tech2
Tombol kursor Naik, Turun, Kiri, Kanan |  | Tombol Naik, Turun, Kiri, Kanan Tech2. Hanya tombol-tombol ini yang memiliki pengulangan otomatis.
Tombol 0 .. 9 | F0 • • • F9 | Tombol F0 .. F9 Tech2
Backspace | Exit | Tombol Exit Tech2
Enter / Return | Enter | Tombol Enter Tech2
Y | Yes | Tombol Yes Tech2
N | No | Tombol No Tech2
Q | ? | Tombol ? Tech2
S | Shift | Tombol Shift Tech2. Indikator Shift di bilah status atau indikator di atas tombol Shift menunjukkan status.
ctrl-P | PWR | Tombol Power Tech2; Tentu, tombol ini hanya bisa mematikan aplikasi Tech2Win.
ctrl-R | tidak ada | Mengatur ulang Tech2Win. Mirip siklus Power Off/On pada Tech2. Namun, Antarmuka Komunikasi Kendaraan yang terpasang tidak direset. File seperti gambar PCMCIA tidak dimuat ulang.
Home | Home | Tombol home. Hanya didukung oleh beberapa aplikasi
hanya tersedia melalui opsi menu File. | Print Screen | Cetak screenshot layar Tech2 dengan membuat file BMP sementara dan membuka aplikasi yang terkait dengan file BMP. Gunakan aplikasi ini untuk mengubah ukuran atau merotasi gambar sebelum dicetak.
hanya tersedia melalui opsi menu File. | Save Screen | Menyimpan screenshot layar Tech2 sebagai file BMP atau PNG.
hanya tersedia melalui opsi menu File. | View Report | Menampilkan semua laporan pada kartu flash PCMCIA aktif sehingga pengguna bisa melihatnya.


Penanganan Windows

Anda bisa mengubah ukuran jendela dengan menggunakan mekanisme Windows standar dengan menyeret garis tepi jendela utama. Selain itu, item menu Pilihan/Resolusi mendukung beberapa ukuran yang ditetapkan sebelumnya. Saat mengubah ukuran jendela utama melalui item menu, jendela keypad secara otomatis akan tetap tertambat.

Tampilan jendela bisa diubah dengan mengubah konfigurasi di tab Tampilan.


Konfigurasi Baru

Klik tombol Buat yang baru untuk membuat konfigurasi baru. Menu dialog akan muncul, yang meminta Anda memilih file konfigurasi yang ada sebagai sumbernya. Normalnya, konfigurasi default akan dipilih. Setelah memasukkan nama file konfigurasi baru, tekan tombol Salin.

Jika Anda menggunakan layar sentuh, Anda mungkin akan lebih suka untuk mengaktifkan simulasi keyboard PC melalui tombol PC-Papan Ketik.

Dengan tombol Batal, Anda bisa membatalkan proses pembuatan.

Konfigurasi baru akan menggunakan file PCMCIA yang sama sebagai konfigurasi sumber yang ada. Jika Anda ingin mengubahnya, Anda harus memodifikasi konfigurasi itu agar menggunakan file PCMCIA yang berbeda. Pada umumnya, Anda cukup menyalin file PCMCIA yang ada ke file baru dan menggunakannya. Anda mungkin lebih suka jika konfigurasi baru Anda menggunakan file PCMCIA yang sama sebagai konfigurasi sumber. Dalam hal tersebut, layar peringatan akan muncul saat Anda menekan tombol Simpan.

  • Mengubah Konfigurasi


Mengubah Konfigurasi

Konfigurasi yang ditampilkan dalam warna biru ditandai baca-saja dan tidak dapat dimodifikasi. Konfigurasi ini hanya dapat dilihat. Tentu Anda bisa menggunakan metode modifikasi untuk melihat kontennya saja, tetapi Simpan tidak akan memungkinkan.

Konfigurasi diubah dengan memilih pengaturan masing-masing di empat tabulator Bahasa, Antarmuka Komunikasi Kendaraan, Jalur, Tampilan. Anda bisa mengambil tabulator yang diinginkan atau cukup menekan tombol Berikutnya yang akan mengaktifkan tabulator berikutnya. Setelah melakukan modifikasi, tekan tombol Simpan untuk menyimpan konfigurasi.

Setiap kali Anda perlu menggunakan keyboard, Anda bisa mengaktifkan aplikasi PC yang mirip dengan keyboard PC. Aplikasi ini sangat praktis terutama di laptop layar sentuh yang tidak dilengkapi keyboard.


Bahasa

Dengan tabulator Bahasa, Anda bisa memilih bahasa yang akan digunakan di Tech2Win. Pemilihan ini tidak berpengaruh pada bahasa di dalam perangkat lunak Tech2 pada gambar PCMCIA. Saat mengunduh perangkat lunak Tech2 dari TIS, Anda masih akan harus memilih bahasa yang tepat.

Untuk beberapa wilayah, tidak semua bahasa tersedia. Dalam hal demikian, bahasa yang ditampilkan adalah bahasa Inggris. Pastikan apakah ada bahasa serupa yang tersedia (PT Portugis-Portugal dibandingkan PB Portugis-Brasil).


Jalur

Dengan tabulator Jalur, Anda dapat mengatur jalur kedua gambar PCMCIA serta jalur ke keyboard perangkat lunak lokal. Selain itu, tombol Salin kartu memori ... diberikan untuk menyalin gambar PCMCIA. Jika Anda baru saja membuat konfigurasi baru, Anda bisa menggunakan tombol ini untuk menghindari beberapa konfigurasi yang menggunakan gambar PCMCIA yang sama.

Memory Card Options

Salin kartu memori ...

Tombol ini memungkinkan Anda menyalin gambar PCMCIA ke file lain. Fungsinya sangat mirip dengan kartu PCMCIA yang baru dibeli untuk Tech2. Fungsi salin hanya digunakan untuk file di direktori C:\Users\Public\General Motors\Tech2Win\pcmcia.

Slot 0: Lokasi gambar kartu memori

Berikut Anda bisa menentukan file yang berisi gambar PCMCIA untuk slot 0. Normalnya, file tersebut harus tetap di C:\Users\Public\General Motors\Tech2Win\pcmcia, namun bisa juga di lokasi lain.

Slot 1: Kartu memori atau ATA

Seperti Tech2, Tech2Win juga mendukung dua kartu PCMCIA (gambar). Namun, gambar PCMCIA kedua di dalam konfigurasi normalnya tidak begitu berguna. Perangkat lunak kedua mungkin akan digunakan dalam konfigurasi kedua.

Seperti pada Tech2, kartu ATA digunakan untuk keperluan debugging. Mohon aktifkan kartu ATA hanya jika diminta oleh dukungan teknis. Mereka akan memberi Anda lebih banyak informasi.

Lokasi papan ketik perangkat lunak PC

Nilai default file ini diambil dari registri Windows dan harus mengarah ke aplikasi yang bisa meniru keyboard PC dan mouse. Jika Anda memiliki aplikasi khusus dengan fungsi ini untuk laptop yang Anda gunakan, Anda bisa menentukan aplikasi tersebut di sini.


Antarmuka Komunikasi Kendaraan

  • Port-COM untuk Emulasi-Tech2-RS232
  • Nomor Seri MIDI untuk digunakan
  • Protokol

Port-COM untuk Emulasi-Tech2-RS232

Silakan pilih port COM bebas yang bisa digunakan untuk emulasi Tech2. Untuk kenyamanan Anda, Konfigurator akan mencoba mencari port serial mana yang sudah digunakan dan menampilkannya.

Jika Anda memilih port COM yang ada, Tech2Win akan terpasang sendiri ke port COM yang ada ini. Anda bisa menggunakan port COM ini untuk mengunduh perangkat lunak Tech2 dari komputer kedua yang menjalankan aplikasi TIS dengan kabel tanpa modem. Perlu diperhatikan bahwa penggunaan port COM sebenarnya mungkin tidak bekerja secara andal dengan 115.200 baud karena pembatasan Windows.

Jika port COM yang tidak ada dipilih, Tech2Win akan otomatis membuat port virtual. Port virtual ini bisa digunakan dari TIS yang dijalankan pada PC yang sama untuk berkomunikasi dengan Tech2Win. Saat menggunakan port virtual, tidak ada pembatasan laju baud.

Jika Anda memilih 'search' sebagai port COM, Tech2Win akan membuat port COM virtual di nomor port bebas yang pertama dengan kisaran 9 hingga 1.

Nomor Seri MIDI untuk digunakan

Masukkan nomor seri MDI. Nomor bisa ditemukan di bagian belakang MDI. Gunakan angka setelah tanda hubung.

Jika Anda tidak memasukkan nomor seri, Tech2Win akan menampilkan daftar MDI yang terdeteksi di jaringan yang bisa dipilih oleh pengguna. Kotak pemilihan yang sama akan ditampilkan saat MDI yang ditentukan tidak ditemukan.

Protokol

'ISO22900-2 / PDU-API' dipilih dan J2534-2 selalu berwarna abu-abu. Di waktu mendatang, Tech2Win mungkin bisa mendukung protokol J2534 juga.

  • Topik Tingkat Lanjut: File Konfigurasi
  • TJ: Bagaimana saya bisa menentukan port com mana yang harus saya gunakan untuk Tech2Win?
  • TJ: Komunikasi antara Tech2Win dan TIS2Web
  • TJ: Bagaimana cara menggunakan lebih dari satu MDI?
  • TJ: Tech2Win tidak menemukan MDI saya


Tampilan

Tab Tampilan utamanya digunakan untuk mengubah pengaturan terkait layar Tech2Win:

  • Keypad
  • Warna
  • Suara
Display and Key Options

Keypad

Berikut Anda bisa memilih apakah Keypad harus ditampilkan atau tidak. Keypad ditarik dari kiri atau kanan layar Tech2Win. Warna latar bisa dipilih melalui kotak dialog warna standar.

Warna

Warna latar belakang dan depan layar Tech2 bisa dipilih satu per satu di sini. Ini adalah dua kombinasi warna paling umum:

Screen with background 0000FF, foreground FFFFFF | Latar Belakang Keypad putih; Latar belakang biru; Latar Depan putih
Screen with background 000000, foreground C0C0C0 | Latar Belakang Keypad biru; Latar belakang hitam; Latar depan abu-abu terang

Suara

Anda bisa memilih untuk mematikan suara dari sini. Setiap kali program Tech 2 mengeluarkan bunyi beep, loudspeaker PC akan digunakan.


Menyimpan Konfigurasi

Konfigurasi aktif bisa disimpan dengan menekan tombol Simpan <configuration> di sudut kiri bawah. Tombol ini tidak akan muncul jika Anda melihat konfigurasi baca-saja.


Lisensi valid melalui TIS2Web

Normalnya, pengunduhan Perangkat Lunak Tech2 ke Tech2Win akan memberi Anda lisensi yang valid. Selain itu, Anda bisa mendapatkan satu dengan melakukan 'Security Access (Security)' melalui TIS2Web (bukan TIS2000). Oleh karena itu, prasyaratnya adalah pemilihan port COM virtual di dalam Konfigurator pada Antarmuka Komunikasi Kendaraan.

Setelah akses keamanan berhasil, Anda bisa melihat kunci terbuka di samping kanan bilah status. Di dalam bracket, Anda melihat jumlah hari lisensi ini valid. Saat Anda memulai Tech2Win lagi, indikator keamanan tidak akan ditampilkan selama tidak ada komunikasi kendaraan yang dilakukan. Selama komunikasi pertama dengan kendaraan, lisensi akan diperiksa dan indikator menampilkan kunci terbuka atau tertutup.

  • Bekerja dengan Tech2Win:Keamanan
  • TJ:Bagaimana saya bisa menentukan port com mana yang harus saya gunakan untuk Tech2Win?
  • TJ:Komunikasi antara Tech2Win dan TIS2Web
  • TJ:Lisensi yang valid
  • TJ:Apa perbedaan lisensi Tech2Win dan Akses Keamanan?


Bekerja dengan Tech2Win

Topik berikut ini digunakan oleh sebagian besar teknisi yang bekerja dengan Tech2Win:

  • Menu: Tata letak layar dan item menu masing-masing.
  • Mengunduh gambar PCMCIA: Pembaruan perangkat lunak diagnostik untuk Tech2Win mirip dengan metode yang digunakan untuk Tech2.
  • Keamanan: Upaya pengamanan mencegah Tech2Win melakukan komunikasi kendaraan pada lingkungan tidak resmi.
  • Lihat Laporan: Keyboard Tech2 sudah sedikit ditingkatkan di Tech2Win. Tombol 'Lihat Laporan' adalah contoh yang paling penting.
  • Penanganan gambar PCMCIA: Mirip dengan memiliki beberapa kartu PCMCIA untuk Tech2, Anda mungkin memiliki beberapa gambar PCMCIA yang digunakan untuk Tech2Win.
  • Bilah Status: Bilah status memberi tahu pengguna tentang masing-masing bagian dari bilah status.
    • Topik Tingkat Lanjut
    • TJ


Menu

Aplikasi Tech2Win memiliki entri menu berikut ini:

  • File
  • Pilihan
  • Jendela
  • Bantuan

File

Menu File berisi kemungkinan berikut:

  • Simpan Layar-T2 (320x240) digunakan untuk menyimpan T2-Screen aktual dalam ukuran 320 x 240 piksel sebagai file gambar hitam-putih di PC Anda. Lokasi penyimpanan dan format file (BMP, GIF, JPG, PNG) bisa dipilih dengan bebas.
  • Cetak Layar membuat gambar BMP inversi hitam-putih di layar Tech2 dan membuka program yang sesuai dengan file BMP. Anda bisa menggunakan program ini untuk mencetak gambar.
  • Lihat File Laporan memberikan kemungkinan untuk melihat (dan mencetak) file laporan tanpa menggunakan TIS2Web.
  • Keluar akan mematikan Tech2Win.

Pilihan

Pilihan berisi pemilihan berikut:

  • Resolusi bisa digunakan untuk memilih salah satu dari tiga ukuran layar standar.
  • ROM-Write from 0x00003ED76 digunakan untuk keperluan debugging internal.
  • Screenshot Otomatis untuk menyimpan gambar dari setiap layar Tech2 yang berbeda di direktori log.
  • Lumpuhkan CANdi lalu Boot Ulang untuk meniru Tech2 yang tidak memiliki CANdi antara Tech2 dan kendaraan. Hal ini diperlukan untuk kasus yang jarang di mana CANdi mengganggu jalur komunikasi kendaraan non-standar.

Jendela

Menu Jendela memungkinkan Anda untuk mengaktifkan pemilihan Tampilan Data Tech2Win dan Tampilan DTC Tech2Win. Semua pemilihan lain akan diwarnai abu-abu pada versi Tech2Win saat ini.

Jika perangkat lunak Tech2 mendukung Tampilan Data Tech2Win, Anda bisa mengaktifkan entri menu ini. Saat memasuki Data Display, Tech2Win akan menampilkan jendela Data Display tambahan bersamaan dengan Tech2 Data Display. Selama layar Tech2 menunjukkan Data Display, entri menu tidak bisa diaktifkan. Dalam hal tersebut, Anda harus keluar dari Data Display, mengaktifkan entri menu dan me-restart Data Display.

Pembatasan serupa untuk Tampilan Data Tech2Win juga berlaku untuk Tampilan DTC Tech2Win. Jika perangkat lunak Tech2 mendukung Tampilan DTC Tech2Win, Anda bisa mengaktifkan entri menu ini. Jendela DTC Display tambahan akan muncul bersamaan dengan Tech2 DTC Display. Selama layar Tech2 menunjukkan DTC Display, entri menu tidak bisa diaktifkan. Dalam hal tersebut, Anda harus keluar dari DTC Display, mengaktifkan entri menu dan me-restart DTC Display itu.

Bantuan

Pemilihan berikut ini akan tersedia:

  • Topik Bantuan... akan membuka Bantuan Tech2Win.
  • Parameter Baris Perintah menunjukkan parameter baris perintah yang digunakan untuk Tech2Win.
  • Tentang menunjukkan nomor versi terkini dan batasan unduhan TIS2Web dari Tech2Win.


Unduh

Pertama-tama, jalankan Tech2Win dan biarkan di layar utama. Jalankan TIS2Web atau GlobalTIS dan lakukan pengunduhan melalui port COM yang ditentukan di tab Antarmuka Komunikasi Kendaraan.

Penggunaan Port-COM internal memungkinkan pengunduhan perangkat lunak Tech2 dari PC lain yang menjalankan TIS. Pastikan untuk menggunakan kabel kawat-melintang RS232. Tergantung pada perangkat keras PC yang menjalankan Tech2Win, laju transfer data mungkin perlu dikurangi hingga 57.600 baud karena Windows bisa kehilangan data pada laju baud yang lebih tinggi.

Versi Tech2Win terbaru juga mendukung pengunduhan cepat jika TIS2Web dan Tech2Win diinstal di PC yang sama. Komunikasi minimal antara TIS2Web dan Tech2Win melalui port COM tetap dilakukan, tetapi transfer data yang menghabiskan waktu ke Tech2Win digantikan oleh transfer file internal. Dalam hal tersebut, waktu unduh akan sangat berkurang menjadi kurang dari satu menit.

  • Topik Tingkat Lanjut: File Konfigurasi
  • Langkah-langkah Pertama: Antarmuka Komunikasi Kendaraan
  • TJ: Bagaimana saya bisa menentukan port com mana yang harus saya gunakan untuk Tech2Win?
  • TJ: Komunikasi antara Tech2Win dan TIS2Web


Keamanan

Mekanisme keamanan yang digunakan oleh Tech2Win bergantung pada pengaturan jam PC yang tepat. Mohon pastikan pengaturan jam PC Anda selalu benar. Perubahan kecil pada jam yang bisa terjadi saat penghematan waktu siang hari bisa ditoleransi oleh Tech2Win.

Tech2Win tidak akan melakukan komunikasi kendaraan apa pun tanpa lisensi yang valid dan aktif. Indikator yang ada di bilah status berikut menunjukkan status lisensi:

  • green smiley Lisensi valid.
  • Tidak ada indikator. Lisensi belum diperiksa.
  • red smiley Lisensi telah kedaluwarsa.

Untuk memperoleh lisensi, lakukan pembaruan 'Security Access (Security)' menggunakan aplikasi TIS2Web. Pada umumnya, 'Software Download (SWDL)' melalui TIS2Web juga cukup untuk memperoleh lisensi baru. Karena lisensi akan menjadi tidak valid setelah jangka waktu tertentu, (di beberapa wilayah: empat minggu), Anda harus melakukan pembaruan secara teratur.

Lisensi sesuai dengan wilayah/perangkat lunak. Anda mungkin memiliki lisensi di komputer Anda jika Anda menggunakan Tech2Win dengan versi perangkat lunak Tech2 yang berbeda.

Jumlah sisa hari sebelum lisensi kedaluwarsa ditunjukkan di bilah status.

  • (0) menunjukkan bahwa lisensi telah kedaluwarsa dan tidak tersedia.
  • (<1) Lisensi akan kedaluwarsa dalam 24 jam ke depan.
  • (20) Lisensi akan kedaluwarsa dalam 20 hari.

Mohon jangan mengotak-atik file lisensi. Perubahan untuk memalsukan file ini bisa terdeteksi menggunakan langkah-langkah keamanan internal dan akan mengakibatkan hilangnya semua lisensi pada komputer. Selain itu, Tech2Win tidak akan berfungsi seperti yang diharapkan. Hal ini hanya bisa diatasi dengan melakukan penginstalan baru.

  • Topik Tingkat Lanjut: Pesan Kesalahan dan Kode Keluar
  • Topik Tingkat Lanjut: File Log
  • Bekerja dengan Tech2Win: Jendela Status
  • TJ: Lisensi yang valid
  • TJ: Apa perbedaan lisensi Tech2Win dan Akses Keamanan?
  • TJ: Penghentian Tiba-tiba


Melihat Laporan

View Report Tombol ini dapat digunakan untuk melihat konten file-PRT yang ada di kartu PCMCIA. Kotak dialog akan terbuka untuk menampilkan daftar file-PRT. Jika program dikaitkan dengan ekstensi PRT, program terkait ini akan dieksekusi. Jika tidak, aplikasi pengedit notepad akan dibuka untuk memperlihatkan file yang dipilih.

Dalam sebagian besar kasus, file PRT adalah file ASCII dengan halaman kode terkait bahasa. Untuk bahasa China, Jepang, Korea, dan Thai, file berformat unicode dengan Byte-Order-Mark (BOM) di awalnya.

Saat menampilkan laporan, Tech2Win akan beroperasi dengan subdirektori C:\Users\Public\General Motors\Tech2Win\reports. Subdirektori ini hanya akan ada jika Anda melihat laporan setidaknya sekali. Direktori otomatis dihapus dan berfungsi sebagai direktori kerja sementara untuk file-PRT pada kartu PCMCIA yang aktif. Direktori akan terus berisi file-file ini meskipun Tech2Win berhenti dieksekusi. Jika Anda ingin menyimpan file ini, Anda perlu menyalinnya ke direktori lain karena bisa ditimpa begitu pengguna lain memilih untuk melihat laporan.


Gambar PCMCIA

Gambar PCMCIA biasanya tetap berada di subdirektori C:\Users\Public\General Motors\Tech2Win\pcmcia. File harus berukuran tepatnya 32 Mbyte (33.554.432 byte) atau 10 Mbyte (10.485.760 byte) dan ekstensi file *.bin. Gambar dimodifikasi (seperti halnya kartu PCMCIA biasanya), jika pengunduhan dilakukan atau jika Tech2Win menyimpan sesuatu di kartu flash. Modifikasi bisa dinonaktifkan dengan switch perlindungan tulis (perintah -W0 atau -W1) atau dengan menghapus nilai-'p' di opsi-'W(File Konfigurasi). Sakelar write protect tidak bisa diakses melalui konfigurator. Anda harus memodifikasi file konfigurasi secara manual jika Anda ingin menggunakan opsi '-W0', '-W1' atau '-W'.


Bilah Status

Bilah status ditampilkan di bawah layar Tech2. Item berikut ini diperlihatkan di bilah status:

  1. Indikator kecepatan
  2. Status Komunikasi Kendaraan
  3. Status Port Serial
  4. Tombol SHIFT
  5. Screenshot Otomatis
  6. Peringatan-Log
  7. Lisensi

Status Bar

Indikator Kecepatan

Indikator kecepatan memperlihatkan berapa lama waktu yang dihabiskan CPU untuk menirukan perangkat lunak Tech2. Angka rendah (indikator di sebelah kiri) lebih baik daripada angka tinggi (indikator di samping kanan). Indikator hijau bisa diterima. Indikator bisa berwarna kuning untuk jangka waktu sebentar, jika tugas Windows lain tiba-tiba aktif. Aktivitas tersebut harus dihindari.

Status Komunikasi Kendaraan

Status komunikasi kendaraan menunjukkan apakah Antarmuka Komunikasi Kendaraan (MDI) ada serta komunikasi antara kendaraan dan Tech2Win.

Status Port Serial

Saat berkomunikasi dengan Tech2Win pada port-COM, indikator ini memperlihatkan apakah komunikasi pada port COM aktif atau tidak.

Tombol SHIFT

Indikator ini menunjukkan apakah tombol SHIFT aktif. Anda bisa mengubahnya menggunakan tombol 'S' di keyboard atau tombol SHIFT di keypad.

Screenshot Otomatis

'Screenshot Otomatis' bisa diaktifkan di menu 'Pilihan'. Tiap kali layar berubah, file screenshot yang baru akan disimpan di direktori log. Hal ini ditunjukkan dengan berputarnya gagang engkol di kamera merah dalam bilah status. Setelah 'Screenshot Otomatis' dinonaktifkan, kamera akan menghilang.

Peringatan-Log

Indikator status Log bisa memiliki tiga kondisi berbeda.

  • gray log status indicator File log tidak berisi peringatan atau kesalahan apa pun.
  • yellow log status indicator File log berisi pesan peringatan.
  • red log status indicator File log berisi pesan kesalahan.

Lisensi

Indikator lisensi memiliki tiga status:

  • green smiley Lisensi aktif dan valid.
  • Tidak ada indikator. Lisensi belum diperiksa.
  • red smiley Lisensi telah kedaluwarsa atau tidak tersedia.
Silakan lihat tautan Keamanan untuk detail lebih lanjut.

Tooltip di Bilah Status

Untuk beberapa ikon, tooltip ditunjukkan untuk memberikan beberapa informasi tambahan:

Tooptip untuk nomor serial VCI:
Tooltip VCI

Tooltip untuk Versi Perangkat Lunak TECH2
Tooltip TECH2

Tooltip untuk Port Com
Tooltip Comport

Tooltip untuk jumlah screenshot berikutnya (jika 'Screenshot Otomatis' aktif)
Tooltip Camera

Tooltip yang menunjukkan entri file log terakhir yang memiliki level 'peringatan' atau lebih tinggi
Tooltip Logfile

Tooltip untuk durasi lisensi sebenarnya
Tooltip License

Tooltip akan ditampilkan jika kursor berada di atas ikon selama lebih dari 0,5 detik tanpa digerakkan. Tooltip kemudian menghilang setelah 5 detik atau jika kursor bergerak.

  • Topik Tingkat Lanjut: Pesan Kesalahan dan Kode Kesalahan
  • Topik Tingkat Lanjut: File Log


Topik Tingkat Lanjut

Topik yang dibahas di sini tidak begitu penting bagi pengguna standar Tech2Win. Bagi setiap orang yang terlibat dalam penyiapan, pengelolaan, dan konfigurasi Tech2Win, informasi berikut ini mungkin berguna.

  • Penginstalan Ulang
  • Penghapusan Instalasi
  • Modifikasi langkah file konfigurasi
  • File Log
  • Pesan Kesalahan dan Kode Keluar
  • Kartu ATA
  • Entri Registri
  • Deskripsi file
  • Contoh manajemen Konfigurasi


Penghapusan Instalasi

Direktori instalasi lengkap, direktori yang berisi data pengguna (C:\Users\Public\General Motors\Tech2Win) dan direktori yang berisi data aplikasi (C:\ProgramData\General Motors\Tech2Win) akan dihapus.

  • Topik Tingkat Lanjut: Penginstalan Ulang
  • Penginstalan


File Konfigurasi

File konfigurasi selalu berada di subdirektori >C:\Users\Public\General Motors\Tech2Win\config dan memiliki ekstensi file *.conf. Anda bisa memutuskan untuk secara manual mengubah file konfigurasi karena tidak semua opsi file bisa diakses melalui Tech2Win. File konfigurasi adalah file Unicode dengan Byte-Order_Mark (BOM) di awalnya. Kami sangat menyarankan penggunaan aplikasi pengedit yang bisa menangani Unicode seperti Notepad saat melakukan perubahan secara manual.

File konfigurasi diatur menurut baris. Garis kosong diabaikan. Garis dimulai dengan opsi dan sebagian besar diikuti oleh nilai. Contohnya, lihatlah file default.conf. Silakan lihat tabel berikut yang membahas semua opsi yang tersedia.

Jika Anda ingin menjalankan konfigurasi tertentu langsung dari desktop, buatlah pintasan yang menjalankan 'C:\Program Files\General Motors\Tech2Win\bin\emulator.exe' -OF ..\config\your_configuration_file.conf. Program ini harus dijalankan dari direktori kerja berikut: 'C:\Program Files\General Motors\Tech2Win\bin'

opsi | Nilai / Makna
; Komentar
@ Angka versi desimal dalam format major.minor.
File konfigurasi dengan angka besar selain Tech2Win tidak akan diterima. File konfigurasi dengan angka minor lebih rendah daripada Tech2Win akan diterima.
-W0
-W1 		Switch perlindungan tulis di kartu PCMCIA di slot 0/1 diaktifkan.
-B0
-B1 		Ukuran blok dalam Kbyte pada kartu PCMCIA di slot 0/1. Nilai yang diterima adalah 128 (default) atau 256.
-P0
-P1 		File yang berisi gambar biner kartu PCMCIA untuk slot 0/1. Ukuran file harus tepat 10 MB atau 32 MB. Variabel Lingkungan seperti %ProgramData% diperluas.
Jika opsi ini tidak ada, slot dianggap kosong.
-A0
-A1 		File yang berisi nilai atribut kartu PCMCIA di slot 0/1. Jika tidak ada, atribut default akan digunakan berdasarkan kartu dan ukuran blok.
-W | Setelah keluar dari Tech2Win, semua data yang ada ditulis ke file masing-masing. Nilai p/f/r/c bisa digabungkan untuk menandai masing-masing Apl-PCMCIA/Flash-ROM/RTC/CANDI.
-H | Fungsionalitas Manajemen Heap Nilai 0/r/w/t bisa digabungkan untuk mengaktifkan Pengenolan, Pemeriksaan Baca, Pemeriksaan Tulis, dan Pemeriksaan Tugas. Nilai I digunakan untuk selalu memaksakan alokasi memori heap di alamat bagian bawah saat skema alokasi alternatif dilaksanakan. Umumnya, opsi ini hanya digunakan di lingkungan pengembangan.
-PC | Sebelumnya jalur untuk menyalin kartu PCMCIA. Opsi ini sedang diabaikan.
-MS | Identifikasi Antarmuka Komunikasi Kendaraan (MDI) dengan Nomor Seri. Jika tidak ditetapkan, daftar MDI yang tersedia akan ditunjukkan kepada Anda.
-CT | Warna teks (latar depan) dalam 3 nilai byte heksadesimal. Nilai default adalah 000000 (putih).
-CB | Warna latar belakang dalam 3 nilai byte heksadesimal. Nilai defaultnya adalah FFFFFF (hitam).
-ATA | Gunakan opsi ini untuk mengaktifkan kartu pengambilan ATA. Lepas untuk menonaktifkan kartu pengambilan ATA.
-C | Angka port-COM(1..9) akan digunakan sebagai port komunikasi RS232C Tech2. Sering kali COM9 digunakan untuk port COM virtual yang diinstal oleh Tech2Win. Jika opsi ini tidak ada, pencarian untuk port COM bebas dilakukan menurun dari COM9. Gunakan tooltip di bilah status antara ikon Tech2 dan ikon TIS2Web untuk menemukan port COM mana yang sedang digunakan.
-WR | PCaddress (normalnya 253558) yang dimungkinkan untuk menulis ke Area PCMCIA dan FLASH ROM. Fungsionalitas ini juga harus diaktifkan di menu (atau dengan menggunakan opsi -WA). Kode perlu di-debugging dalam memori yang tidak dapat dimodifikasi oleh SingleStep Debugger.
-WA | Memungkinkan SingleStep Debugger untuk menulis memori yang tidak dapat dimodifikasi.
-OF | File opsi yang berisi pasangan opsi/nilai.
-TP | Penyetelan waktu (Nilai Proporsional). Ditetapkan secara default ke 5000. Kurangi nilai ini agar siklus yang dieksekusi angka dapat beradaptasi dengan lebih cepat secara real time.
-TD | Penyetelan waktu (Nilai diferensial). Ditetapkan secara default ke 100. Kurangi nilai ini agar bereaksi secara lebih cepat ke perubahan pengaturan waktu yang instan. PERINGATAN: mengotak-atik nilai-nilai TP dan TD bisa menyebabkan masalah kecepatan.
-PJ
-PP 		Tentukan protokol yang harus digunakan:
PJ untuk komunikasi J2534.
PP untuk ISO22900-2 / PDU-API (default)
-S | Adanya opsi ini mengaktifkan output suara pada beeper PC.
-L | Bahasa aplikasi Tech2Win. Bahasa Windows yang aktif digunakan sebagai default jika entri ini hilang. Lihat tautan berikut ini untuk mengetahui daftar yang bisa ditetapkan: Bahasa. Jendela emulasi Tech2 itu sendiri akan menampilkan apa pun bahasa yang ada di kartu PCMCIA (yaitu, diunduh ke kartu PCMCIA).
-UD | Kesampingkan direktori data pengguna. Pada Win7, normalnya berada di C:\Users\Public\General Motors\Tech2Win
-AD | Kesampingkan direktori data aplikasi. Pada Win7, normalnya berada di C:\ProgramData\General Motors\Tech2Win
-US | Gunakan semafor khusus pengguna untuk pendeteksian lebih dari satu Tech2Win. Opsi ini akan memungkinkan setiap pengguna menjalankan Tech2Win secara paralel di komputer yang sama, seperti sebuah server. Saat menggunakan opsi ini, Anda juga harus menentukan opsi -UD and -AD.
-SS | Opsi untuk menentukan ukuran keseluruhan dari jendela Tech2Win termasuk keypad (jika ada). Parameter pertama harus berupa string yang dikelilingi tanda petik ganda (') dan akan digunakan sebagai nama ukuran di menu Pilihan / Resolusi. Parameter kedua adalah jumlah total piksel horizontal dari layar Tech2Win termasuk keypad. Parameter ketiga adalah jumlah total piksel vertikal dari layar Tech2Win. Parameter opsional keempat adalah lebar keypad dalam piksel.
-SH Opsi untuk mengontrol penanganan layar. Nomor desimal berikut ini digunakan untuk menentukan kemungkinan penanganan layar mana yang akan dinonaktifkan.
  • Bit 0: Tidak ada kemungkinan min/maks.
  • Bit 1: Tidak ada pemosisian ulang pada layar.
  • Bit 2: Tidak ada perubahan ukuran. Dalam hal ini, menu Pilihan / Resolusi berwarna abu-abu.
  • Bit 3: Ukuran Data Display dan jendela DTC akan sama persis dengan Tech2Win (tanpa keypad)


Pembuatan log

Setiap kali konfigurasi Tech2Win dijalankan, file log baru akan dibuat dalam format HTML di subdirektori C:\Users\Public\General Motors\Tech2Win\Logs. Untuk menghindari kemacetan hard disk, file log yang disimpan lebih dari seminggu dihapus.

File log secara otomatis diberi nama sesuai dengan tanggal (tahun, bulan, hari) dan waktu (jam, menit, detik) pembuatannya:
tttt-bb-hh_jjmmdd.html

Entri file log selalu dalam bahasa Inggris, tetapi dalam format Unicode dengan Byte-Order-Mark (BOM) di awalnya. Setiap baris di file log adalah salah satu dari level log berikut ini:

Level Log | Arti
Info | Informasi saja. Tidak berefek pada eksekusi program.
Peringatan | Terjadi situasi yang tidak lazim. Pengguna mungkin tidak melihat efek yang kurang baik.
ERROR | Terjadi kesalahan yang akan bisa diperhatikan oleh pengguna.
CRITICAL | Terjadi kesalahan kritis yang akan membuat program berperilaku secara tidak normal.
FATAL | Kesalahan fatal akan menyebabkan Tech2Win segera berhenti beroperasi.

Semua level di atas 'Peringatan' akan diwarnai agar mudah ditemukan.

Selain itu, file Cetakan dan Video juga akan ada di subdirektori Logs jika 'Cetak Layar' atau opsi menu 'Screenshot Otomatis' digunakan.
tttt-bb-hh_jjmmdd_print_nnnnn.bmp
yyyy-mm-dd_hhmmss_video_nnnnn.png
Gambar 'Screenshot Otomatis' dihubungkan dengan file HTML - jadi gunakan log HTML untuk menampilkan urutan gambar-gambar ini.

Di Bilah Status, pengguna diberi tahu apakah ada entri Peringatan ( yellow lightning bolt) atau entri log yang lebih serius ( red lightning bolt).


Pesan Kesalahan dan Kode Keluar

Pesan kesalahan mungkin muncul di kotak dialog. Kotak dialog masih memungkinkan Tech2Win untuk melakukan program Tech2 secara paralel. Kode Keluar adalah kesalahan fatal yang bisa menyebabkan Tech2Win untuk dihentikan secara tidak normal. Kode keluar bisa digunakan dalam file batch untuk mendeteksi mengapa program dimatikan.

Pesan Kesalahan

Pesan kesalahan berikut ini mungkin muncul. Berikut adalah penjelasan ringkas tentang situasi dan bagaimana masalah ini bisa diatasi.

Emulator too slow Emulator failed to start

Kode Keluar

Kode Keluar | Nilai | Arti
OPCODE_ERROR | -7 | Perintah prosesor mikro Tech2 (68332) yang tidak valid terdeteksi. Mungkin gambar PCMCIA telah agak rusak.
ATA_PROBLEM | -6 | Masalah selama emulasi ATA terjadi. Jika Anda melihat masalah seperti itu setelah diminta menggunakan kartu ATA, hubungilah staf bantuan.
DEMO_TIME_IS_UP | -5 | Tidak boleh muncul di versi resmi Tech2Win.
DLL_NOT_LOADED | -3 | Salah satu DLL yang diperlukan tidak dapat dimuat. Tampaknya salinan Tech2Win Anda tidak lengkap. Silakan lakukan penginstalan baru dan/atau pilih bahasa lain.
EXIT_INIT_FAILED | -2 | Inisialisasi gagal. Periksa file log untuk mengetahui penyebab pastinya. Jika tidak ada file log, silakan periksa apakah akses baca/tulis Anda ke semua direktori benar.
normal | 0 | Tech2Win dihentikan secara normal.


Kartu ATA

Kartu ATA di Tech2 secara umum hanya digunakan untuk keperluan debugging selama pengembangan perangkat lunak. Semua data ATA yang diperlukan disimpan di subdirektori C:\Users\Public\General Motors\Tech2Win\ataCapture. Direktorinya biasanya tidak penting dan bisa dihapus secara aman, kecuali diperintahkan sebaliknya secara spesifik.

Karena direktori ataCapture terpasang tetap, isinya akan sama untuk semua konfigurasi.


File

File dan direktori berikut ini digunakan oleh Tech2Win:

Direktori | Lokasi sebelum Vista | Lokasi untuk Vista dan yang lebih baru
Penginstalan | Sebagaimana ditentukan saat penginstalan
Data Pengguna | C:\Documents And Settings\All Users\Documents\General Motors\Tech2Win | C:\Users\Public\General Motors\Tech2Win
Data Aplikasi | C:\Documents And Settings\All Users\Application Data\General Motors\Tech2Win | C:\ProgramData\General Motors\Tech2Win

File | Gunakan
[Data Pengguna]\atacapture | Berisi file yang ada di kartu ATA. Kecuali diminta sebaliknya, file-file ini tidak diperlukan.
[Penginstalan]\bin | Berisi file bisa eksekusi yang sebenarnya dan DLL yang diperlukan dan gambar yang diperlukan untuk menjalankan aplikasi.
[Penginstalan]\bin\emulator.exe | File bisa eksekusi utama yang menjalankan kode Tech2.
[Penginstalan]\bin\emulator_xx_XX.dll | DLL sumber daya untuk setiap bahasa.
[Penginstalan]\bin\T2Configurator.exe | Bagian konfigurasi Tech2Win.
[Penginstalan]\bin\Pictures | Berisi ikon yang diperlukan oleh Tech2Win.
[Data Pengguna]\config | Berisi semua file konfigurasi.
[Data Pengguna]\data | Berisi file yang dimodifikasi selama Tech2Win dijalankan. File-file ini diperlukan untuk menjalankan Tech2Win dengan benar. Normalnya, Anda tidak boleh menyentuh file-file ini kecuali diminta melakukannya secara tersurat.
[Data Aplikasi]\data | Berisi file yang dimodifikasi selama Tech2Win dijalankan. File-file ini diperlukan untuk menjalankan Tech2Win dengan benar. Normalnya, Anda tidak boleh menyentuh file-file ini kecuali diminta melakukannya secara tersurat.
[Data Aplikasi]\data\emulator.sec | File keamanan . Jangan ubah file ini.
[Data Aplikasi]\data\emulator.card | File Kartu. Berisi semua kartu PCMCIA yang dikenal program Tech2Win. Jangan ubah file ini.
[Data Pengguna]\data\emulator.disp | File ini memiliki lokasi dan ukuran layar Tech2Win. Jika Anda menghapus file ini, file tersebut akan dibuat ulang dan layar Tech2Win akan dimulai di sudut kiri atas dengan ukuran 640 x 480.
[Data Aplikasi]\data\emulator.lic | File Lisensi. Berisi informasi tentang durasi validasi lisensi Anda. Jangan ubah file ini.
[Data Aplikasi]\data\emulator.rtc | File Jam Real Time. File ini digunakan sebagai penyimpanan data yang terdapat di RTC Tech2.
[Data Aplikasi]\data\emulator.dta | File info 'Don't tell me again'.. File ini menyimpan versi perangkat lunak PCMCIA yang tidak boleh (lagi) memperlihatkan peringatan tentang ketidakmampuan untuk melakukan tes mandiri yang memerlukan adaptor loopback.
[Data Aplikasi]\data\candi.bin | File aplikasi CANdi. Memiliki aplikasi CANdi yang melekat ke Tech2.
[Data Aplikasi]\data\eprom.bin | File EPROM internal Tech2. Berisi konten memori flash Tech2 internal.
[Penginstalan]\driver | File penginstalan untuk driver Port COM virtual.
[Penginstalan]\help\emulator_xx_XX.chm | File bantuan bahasa tertentu.
[Data Pengguna]\Logs | Berisi file log. File yang disimpan lebih dari seminggu akan otomatis dihapus.
[Data Pengguna]\pcmcia | Berisi file gambar PCMCIA. Secara figuratif, setiap file sesuai dengan kartu Tech2 PCMCIA. File ini bisa disimpan ke lokasi sesuai pertimbangan sendiri.


Manajemen Konfigurasi

File konfigurasi selalu berada di subdirektori >C:\Users\Public\General Motors\Tech2Win\config dan memiliki ekstensi file *.conf. Tech2Win hanya bisa digunakan untuk menghasilkan file konfigurasi baru atau mengubah file konfigurasi lama yang sifatnya tidak baca-saja. Untuk semua pengelolaan file konfigurasi lain, silakan gunakan Windows Explorer atau program penanganan file serupa. Aplikasi ini akan diperlukan untuk aktivitas berikut ini:

  • penghapusan file konfigurasi
  • pengubahan nama file konfigurasi
  • pengubahan atribut baca-saja pada file konfigurasi

Kami sangat menyarankan agar Anda selalu memiliki file konfigurasi default.conf. Atribut file ini normalnya baca-saja agar file tidak ditimpa secara keliru. Namun, jika Anda mengubah file ini untuk memenuhi kebutuhan tertentu, Anda perlu segera menghapus atribut baca-saja.

Gambar PCMCIA ada di subdirektori C:\Users\Public\General Motors\Tech2Win\pcmcia. Setiap file ini sesuai dengan kartu PCMCIA yang sudah Anda kenali saat menangani Tech2. Dengan Tech2Win, Anda bisa memiliki sebanyak mungkin gambar yang Anda inginkan. Cukup salin gambar lama ke nama file baru.

Jika Anda ingin menjalankan konfigurasi tertentu langsung dari desktop, buatlah pintasan yang menjalankan "C:\Program Files\General Motors\Tech2Win\bin\emulator.exe" -OF "C:\Users\Public\General Motors\Tech2Win\config\your_configuration_file.conf". Program ini harus dijalankan dari direktori kerja berikut: 'C:\Program Files\General Motors\Tech2Win\bin'

Jumlah file konfigurasi tidak tergantung pada jumlah gambar pcmcia yang Anda gunakan. Anda bisa memiliki beberapa file konfigurasi dengan gambar PCMCIA yang sama. Hal ini sangat mirip dengan situasi di bengkel di mana beberapa mekanik menggunakan Tech2 yang sama (dan kartu PCMCIA yang sama).

Anda juga bisa memilih untuk memiliki setiap konfigurasi dengan gambar PCMCIA khusus. Ini akan menjadikan masing-masing konfigurasi lebih independen dari konfigurasi lain. Namun, upaya untuk memperbarui setiap gambar PCMCIA mungkin tidak dapat diterima.

Saat Anda membuat konfigurasi baru dengan menyalin salah satu yang sudah ada, konfigurator akan menampilkan peringatan, jika gambar PCMCIA belum diubah. Dalam kondisi tersebut, Anda akan memiliki dua konfigurasi yang menggunakan gambar PCMCIA yang sama. Jika itu yang Anda inginkan, cukup tekan OK. Jika Anda ingin konfigurasi baru menggunakan gambar PCMCIA lain atau yang baru, tekan Batal. Anda kemudian bisa memilih untuk membuat gambar baru dengan Salin kartu memori ...

Berikut adalah dua metode contoh tentang bagaimana Anda bisa mengelola konfigurasi dan gambar PCMCIA.

Satu konfigurasi per pengguna

Anda berkesempatan menyimpan konfigurasi per pengguna. Nama konfigurasi akan menjadi nama pengguna untuk program tersebut. Manfaat dari konsep ini adalah pengaturan khusus pengguna seperti antarmuka komunikasi kendaraan pribadi (MDI), pengaturan tampilan dan bahasa bisa dilakukan. Kerugiannya, Anda perlu menyalin file PCMCIA jika beberapa pengguna akan menggunakan perangkat lunak yang sama. Konfigurasi khusus pengguna bisa menggunakan file PCMCIA pusat.

Satu konfigurasi per perangkat lunak Tech2

Anda mungkin memilih untuk membuat konfigurasi baru untuk setiap perangkat lunak yang Anda unduh. Oleh karena itu, bahkan versi perangkat lama yang segera tersedia, jika diperlukan. Sering kali nama perangkat lunak dan nomor versi dipilih sebagai nama konfigurasi dalam kondisi seperti itu.

  • Langkah-langkah Pertama: Antarmuka Komunikasi Kendaraan
  • Langkah-langkah Pertama: Jalur
  • Topik Tingkat Lanjut: File Konfigurasi
  • Penginstalan: Langkah-langkah Penginstalan


Pertanyaan yang sering diajukan (FAQ)

  • Bagaimana saya bisa menentukan port com mana yang harus saya gunakan untuk Tech2Win?
  • Komunikasi antara Tech2Win dan TIS2Web
  • Lisensi yang valid
  • Apa yang ditunjukkan oleh nomor lisensi?
  • Apa perbedaan lisensi Tech2Win dan Akses Keamanan?
  • TIS2Web menunjukkan kesalahan yang tidak spesifik saat melakukan akses keamanan ke Perangkat Lunak Awal.
  • Tech2Win tidak menjalankan perangkat lunak Tech2 dari area lain
  • Bagaimana cara menggunakan lebih dari satu MDI?
  • File Log berisi kesalahan 'CPU32: Too many 0000/FFFF Commands encountered'
  • Tidak ada jendela Tech2 yang terlihat
  • SPS tidak berfungsi.
  • Beberapa Uji Mandiri tidak berfungsi
  • Indikator kecepatan akan berubah-ubah
  • Penghentian Tiba-tiba
  • Bahasa Swedia ditampilkan untuk Perangkat lunak 15.001
  • Kehilangan komunikasi dengan MDI
  • Tech2Win tidak menemukan MDI saya
  • Saya ingin segera menjalankan Tech2Win tanpa menghiraukan konfigurator
  • Di mana letak fungsi cetak?
  • Folder PCMCIA 'yang tidak digunakan' ada di My Computer
  • Saya menerima pesan 'jalur file tidak sah'

Bagaimana saya bisa menentukan port com mana yang harus saya gunakan untuk Tech2Win?

Anda dapat menggunakan 'Device Manager' di Windows dan mencari 'Ports (COM & LPT)'. Tetapi beberapa komputer memiliki instalasi modem internal atau perangkat bluetooth yang tidak diperlihatkan dalam kategori ini.
Cara lain adalah menggunakan perintah kecil yang dikirim bersama dengan konfigurator. Anda bisa menjalankannya melalui menu start (folder Tech2Win) dengan mengklik pada 'show com ports'.
Kedua metode memperlihatkan port com yang terinstal di komputer Anda dan TIDAK boleh Anda gunakan

Komunikasi antara Tech2Win dan TIS2Web

Penting agar Tech2Win dijalankan sebelum Anda memulai komunikasi dengan TIS2Web untuk 'Security Access (Security)' atau 'Software Download (SWDL)'. TIS2Web hanya dapat mengenali port-COM virtual saat Tech2Win dimulai.

Lisensi yang valid

Normalnya 'Software Download (SWDL)' dari TIS2Web sudah dilengkapi lisensi yang valid. Jika Anda masih belum memiliki lisensi, maka 'Security Access (Security)' melalui TIS2Web (bukan TIS2000) harus dilakukan untuk mendapatkan lisensi yang valid. Mohon untuk tidak melakukan komunikasi TIS2Web lain dengan Tech2Win seperti 'Software Download (SWDL)' sebelum mendapatkan lisensi melalui 'Security Access (Security)'.

Apa yang ditunjukkan oleh nomor lisensi?

Nomor lisensi di bagian kanan bilah status menunjukkan seluruh jumlah hari lisensi. Segera setelah melakukan pengunduhan atau 'Security Access (Security)', angka 30 hari ditampilkan. Namun, setelah penyalaan baru Tech2Win, angka 29 ditampilkan karena durasi lisensi mungkin tersisa 29 hari, 23 jam dan 55 menit. Jika jumlah hari lisensi di bawah 24 jam, durasi lisensi <1 akan ditampilkan. Angka 0 akan ditampilkan jika lisensi telah kedaluwarsa.

Apa perbedaan lisensi Tech2Win dan Akses Keamanan?

Lisensi Tech2Win memungkinkan Anda untuk menggunakan Tech2Win. Untuk memperoleh lisensi tersebut, Anda harus melakukan 'Software Download (SWDL)' atau Security Access (Security)' secara teratur (biasanya tiap 30 hari). Kemampuan untuk melakukan pengunduhan tersebut melalui TIS2Web memberi tahu Tech2Win bahwa terdapat pengguna yang valid. Akses Keamanan, sebagaimana diketahui dari Tech2, memberi tahu Tech2Win bahwa aktivitas terkait keamanan tertentu seperti menonaktifkan Airbag diizinkan. Lisensi Tech2Win dan Akses Keamanan bisa dilakukan melalui aplikasi TIS2WEB 'Security Access (Security)' Tech2Win akan menampilkan durasi lisensi yang tersisa pada bilah status di bagian kanan. Sayangnya, Tech2Win tidak bisa menampilkan durasi Akses Keamanan karena Tech2Win hanya menjalankan perangkat lunak Tech2, tetapi tidak dapat menggunakan perangkat lunak Tech2 itu sendiri.

TIS2Web menunjukkan kesalahan yang tidak spesifik saat melakukan akses keamanan ke Perangkat Lunak Awal.

Prosesnya sama seperti pada Tech2. Karena usianya, Perangkat Awal tidak mampu memperoleh lisensi dari TIS2Web. Namun, hal itu bukan masalah karena perangkat lunak demonstrasi tidak berkomunikasi dengan kendaraan yang memerlukan lisensi. Karena lisensi berlaku untuk tiap pengunduhan TS2Web tertentu, Anda juga harus mendapatkan lisensi untuk setiap pengunduhan tertentu setelah mengunduh perangkat lunak Tech2. 'Lisensi' untuk Perangkat Lunak Awal tidak akan menyuruh Anda untuk melakukan komunikasi kendaraan dengan Operasi Amerika Utara atau perangkat lunak Opel/Vauxhall.

Tech2Win tidak menjalankan perangkat lunak Tech2 dari area lain

Versi Tech2Win Anda mungkin terbatas untuk satu atau beberapa pengunduhan TIS2Web (wilayah). Tekan Bantuan / Tentang untuk melihat batasan mana yang berlaku pada versi Tech2Win Anda. Versi sebelumnya dari Tech2Win hanya memungkinkan perangkat lunak Opel/Vauxhall untuk dijalankan. Wilayah GM lainnya juga demikian. Dalam keadaan apa pun, Tech2Win saat ini mampu menjalankan perangkat lunak Tech2 dari General Motors.

Bagaimana cara menggunakan lebih dari satu MDI?

Jika Anda ingin menetapkan MDI khusus ke pengguna tertentu, maka kami sarankan Anda untuk mengizinkan setiap pengguna menentukan konfigurasi mereka sendiri. Lebih jelasnya, konfigurasi-konfigurasi tersebut harus diberi nama sesuai dengan pengguna yang sesuai. Dalam tiap konfigurasi, Anda harus memasukkan nomor serial dari MDI untuk pengguna tertentu di tab 'Antarmuka Komunikasi Kendaraan'. Selama pengguna memulai konfigurasinya, Tech2Win akan mencoba menghubungi MDI khusus tersebut. Jika MDI tidak ada, kotak pemilihan yang menunjukkan semua MDI yang bisa ditemukan oleh Tech2Win akan ditampilkan.

Jika Anda memiliki beberapa MDI untuk penggunaan umum, kami sarankan agar Anda menggunakan konfigurasi di mana nomor serial Antarmuka Komunikasi Kendaraan di tab 'Antarmuka Komunikasi Kendaraan' dibiarkan kosong. Kemudian pengguna akan selalu melihat kotak pemilihan MDI yang tersedia.

File Log berisi kesalahan 'CPU32: Too many 0000/FFFF Commands encountered'

File 'C:\ProgramData\General Motors\Tech2Win\data\eprom.bin' atau file pcmcia saat ini rusak. Silakan instal ulang Tech2Win dan unduh perangkat lunak Tech2 baru.

Tidak ada jendela Tech2 yang terlihat

Jika tidak ada Tech2 terlihat, jendela mungkin berada di area yang saat ini tidak ada di tampilan Anda. Anda akan menghadapi efek semacam itu saat menggunakan lebih dari satu layar atau setelah mengubah resolusi layar. Tekan tombol Shift di keyboard selama memulai konfigurasi. Dalam hal itu, resolusi jendela akan direset ke 640 x 480 dan jendela Tech2 akan ditampilkan di sudut kiri atas layar. Anda juga bisa menghapus file C:\Users\Public\General Motors\Tech2Win\emulator.disp untuk memperoleh hasil yang sama.

Kami telah melihat kasus di mana jendela Tech2 tidak langsung digambar ulang di layar setelah menutup semua jendela aplikasi lain. Dalam semua hal yang telah kita lihat sejauh ini, penggunaan tombol Alt-Tab untuk beralih antara aplikasi Windows bisa digunakan untuk memunculkan layar Tech2. Tombol Tech2Win di bilah tugas pada bagian bawah layar PC Anda terkadang tidak dapat ditekan atau digunakan. Saat ini, kami masih menyelidiki masalah ini dan semoga bisa terselesaikan di versi Tech2Win terbaru.

SPS tidak berfungsi.

Ya, kami tahu. Kami tidak berencana untuk mengubah ini. Anda seharusnya tidak menggunakan Tech2Win sebagai pengganti Tech2 untuk melakukan SPS. Mohon gunakan MDI langsung dengan Pemrograman SPS melalui TIS.

Beberapa Uji Mandiri tidak berfungsi

Tes Mandiri Tech2 ditujukan untuk menguji masing-masing bagian perangkat lunak Tech2. Beberapa tes memerlukan penggunaan adaptor loopback. Tes ini tidak akan bekerja di Tech2Win karena fungsionalitas adaptor loopback tidak diterapkan (dan tidak ada rencana untuk itu). Hindarkan diri dari menjalankan pengujian yang tidak ada gunanya di Tech2Win. Jika Anda menjalankan tes, mungkin Anda mendapatkan hasil yang keliru atau Tech2Win macet seperti halnya Tech2 tanpa adaptor loopback. Gunakan Ctrl-R untuk mereset Tech2Win dalam kondisi seperti itu.

Indikator kecepatan akan berubah-ubah

Indikator kecepatan di bagian kiri bawah bilah status menunjukkan jumlah 'Perintah Tech2' yang bisa dijalankan sebelum Tech2Win masuk mode 'sleep' lagi. Metode ini digunakan untuk memastikan waktu di Tech2Win sesuai dengan waktu sebenarnya: PC yang lebih cepat akan masuk mode sleep lebih lama daripada PC yang lebih lambat. Jika indikator kecepatan berubah-ubah, mungkin beberapa aplikasi lain menggunakan daya komputasi atau clock PC yang berubah-ubah. Tingkat fluktuasi yang tinggi memiliki dampak negatif pada komunikasi kendaraan dan komunikasi TIS2Web. Pastikan tidak ada aplikasi lain yang sedang berjalan.

Sebagian besar laptop bisa mengurangi clock CPU secara otomatis untuk memperpanjang daya tahan baterai. Hal ini mungkin juga adalah penyebab perubahan kecepatan yang terdeteksi oleh Tech2Win. Dalam keadaan demikian, jangan jalankan laptop Anda dengan daya baterai tetapi gunakan catu daya eksternal. Anda juga bisa mengubah pengaturan daya Anda agar sistem operasi tidak mengurangi kecepatan clock.

Penghentian Tiba-tiba

Jika Anda tidak menemukan sebab program ini dihentikan di dalam file log, maka mekanisme keamanan internal Tech2Win mungkin telah diaktifkan. Mohon jangan mengotak-atik file berikut: emulator.sec, emulator.lic, emulator.card. Jika Tech2Win mengidentifikasi pelanggaran keamanan, kemungkinan besar Anda harus melakukan penginstalan ulang.

Bahasa Swedia ditampilkan untuk Perangkat lunak 15.001

Perangkat lunak awal yang disertakan dengan Tech2Win adalah perangkat lunak demonstrasi yang ada di setiap kartu PCMCIA baru. TIS2Web menunjukkan perangkat lunak ini dengan bahasa Swedia karena TIS2Web hanya menampilkan bahasa terakhir dari daftar empat bahasa yang didukung oleh perangkat lunak demo ini (Inggris, Prancis, Jerman, Swedia). Gunakan Mode Pembaruan 'Custom' bukan 'Standard' untuk menimpa perangkat lunak demonstrasi ini dengan perangkat lunak diagnostik terbaru.

Kehilangan komunikasi dengan MDI

Hilangnya komunikasi MDI bisa diakibatkan oleh beberapa alasan.

  • Sambungan kabel yang buruk (Ethernet dan USB).
  • Koneksi nirkabel yang terputus-putus.
  • PC dalam mode standby.

Tech2Win tidak menemukan MDI saya

Mohon periksa poin-poin berikut:

    1. Apakah MDI aktif?
    2. Apakah Manajer MDI berfungsi?
    3. Apakah MDI sedang digunakan oleh aplikasi lain seperti SPS?
Anda bisa memulai Manajer MDI dengan ikon desktop-nya atau melalui 'Start/All Programs/General Motors/GM MDI Software'.: Hubungi Helpdesk jika poin 2 tidak berfungsi.

Saya ingin segera menjalankan Tech2Win tanpa menghiraukan konfigurator

Jalankan "C:\Program Files\General Motors\Tech2Win\bin\emulator.exe" -OF "C:\Users\Public\General Motors\Tech2Win\config\your_configuration_file.conf". Gunakan direktori kerja berikut: 'C:\Program Files\General Motors\Tech2Win\bin' Anda tetap bisa menggunakan konfigurator untuk melakukan perubahan pada konfigurasi.

Di mana letak fungsi cetak?

Tech2Win tidak menawarkan fungsionalitas cetak langsung. Sebagai gantinya, Tech2Win membuat file sementara dan membuka program yang terkait dengan ekstensi file itu. Program-program ini bisa digunakan untuk keperluan pencetakan, yang memungkinkan Anda untuk menyetel tampilan hasil cetak.

Print Report | Print Report

Untuk mencetak layar Tech2Win saat ini, gunakan item menu File / Cetak Layar atau tombol di keypad yang menunjukkan printer. Jika Anda perlu mencetak beberapa layar Tech2Win, maka item menu Pilihan / Screenshot Otomatis bisa digunakan karena akan membuat file PNG untuk setiap layar Tech2Win. File PNG tersebut tercantum di file log.

Anda juga bisa mencetak konten Data Display (diaktifkan dengan item menu Jendela / Tampilan Data Tech2Win). Gunakan tombol Cetak/Mulai HTML untuk memulai lalu menghentikan pemerolehan data. Setelah menghentikan pemerolehan, file bisa eksekusi terkait HTML (normalnya Internet Explorer) dijalankan dan memberi Anda berbagai fungsionalitas untuk mencetak data.

Data Display | Data Display

Folder PCMCIA 'yang tidak digunakan' ada di My Computer

Versi awal Tech2Win selalu memiliki penyimpanan duplikat dari file PCMCIA di direktori terpisah. Direktori ini biasanya C:\PCMCIA. Sekarang direktori ini tidak digunakan lagi karena pengunduhan cepat dari TIS2Web menjadikan penyimpanan kedua dari pengunduhan tersebut tidak diperlukan lagi. Anda bisa menghapus direktori ini dengan aman.

Saya menerima pesan 'jalur file tidak sah'

Nama file sepertinya memiliki karakter yang tidak diperbolehkan seperti tanda persen (%). Jika Anda menemukan masalah ini langsung setelah penginstalan, maka Anda cukup melakukan penghapusan instalasi dan penginstalan ulang yang baru. Pada umumnya bisa diperbaiki dengan metode ini.

Saat penginstalan normal, variabel lingkungan 'Tech2WinUserData' diatur ke 'PUBLIC' (untuk versi Windows >= Vista) dan diatur ke 'ALLUSERSPROFILE\Documents' (untuk versi Windows sebelum Vista). Terkadang variabel lingkungan tidak ditetapkan saat proses penginstalan, tetapi berfungsi baik saat percobaan kedua. Anda juga bisa menetapkan variabel lingkungan secara manual. Mintalah bantuan pada administrator jika Anda tidak mengetahui cara menetapkan variabel lingkungan.


Entri Registri

Entri registri berikut ini dihasilkan oleh penginstal. Mohon jangan ubah entri ini secara manual. Waspadai peringatan Windows standar saat menangani entri registri.

kunci registri | nama | jenis | arti
HKEY_LOCAL_MACHINE/SOFTWARE/GM/TECH2Win | CurrentVersion | REG_SZ | Nomor versi internal
HKEY_LOCAL_MACHINE/SOFTWARE/GM/TECH2Win | Bahasa | REG_SZ | Bahasa yang terinstal
HKEY_LOCAL_MACHINE/SOFTWARE/GM/TECH2Win | PcmciaCopy | REG_SZ | Jalur direktori salinan PCMCIA
HKEY_LOCAL_MACHINE/SOFTWARE/GM/TECH2Win | Akar | REG_SZ | Jalur penginstalan
HKEY_LOCAL_MACHINE/SOFTWARE/GM/TECH2Win | UninstallOption | REG_DWORD | Pengaturan Penghapusan Instalasi
HKEY_LOCAL_MACHINE/SOFTWARE/GM/TECH2Win | VerConfig | REG_SZ | Versi file Konfig
HKEY_LOCAL_MACHINE/SOFTWARE/GM/TECH2Win | VerDriver | REG_DWORD | Versi Driver Port-COM Virtual
HKEY_LOCAL_MACHINE/SOFTWARE/Microsoft/Windows/; CurrentVersion/Uninstall/TECH2Win | NamaTampilan | REG_SZ | Nama perangkat lunak di dalam Tambah/hapus daftar program
HKEY_LOCAL_MACHINE/SOFTWARE/Microsoft/Windows/; CurrentVersion/Uninstall/TECH2Win | UninstallString | REG_SZ | Jalur ke program yang dihapus instalasinya


Penginstalan Ulang

Penginstalan ulang akan menghapus direktori instalasi Tech2Win lengkap dengan pengecualian sebagai berikut.

  1. Subdirektori config yang berisi konfigurasi tidak akan dihapus.
  2. Subdirektori pcmcia yang umumnya berisi gambar PCMCIA tidak akan dihapus.
  3. Subdirektori ATA yang mungkin berisi informasi debug tidak akan dihapus.
File konfigurasi mungkin tidak kompatibel: tidak ada jaminan bahwa file konfigurasi Tech2Win versi lama bisa dibaca oleh Tech2Win versi baru. Gambar PCMCIA secara prinsip tidak dapat menjadi tidak kompatibel.

Direktori PCMCIA sekunder tidak dipengaruhi oleh penginstalan ulang.

Beberapa lingkungan mungkin menawarkan penginstalan versi Tech2Win lebih baru secara otomatis. Karena informasi penginstalan terakhir disimpan di registri, pengaturan ini akan disajikan sebagai default selama penginstalan ulang.

Anda bisa memaksa penginstalan ulang Tech2Win dengan skrip enable reinstallation. Skrip ini terinstal bersamaan dengan Tech2Win. Pada dasarnya, skrip ini hanya mengatur nilai kunci CurrentVersion yang ditemukan di registri pada HKEY_LOCAL_MACHINE\SOFTWARE\GM\Tech2Win ke nilai '1.000'.